<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="FlightInfos" pageWidth="555" pageHeight="802" columnWidth="555" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" uuid="d5a08ddb-ed80-49c1-8647-c8b186a3bef9">
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<parameter name="AIRLINE_IMG_PATH" class="java.lang.String"/>
	<parameter name="SUBREPORT_DIR" class="java.lang.String"/>
	<parameter name="CLASS_TYPE" class="java.lang.String"/>
	<queryString>
		<![CDATA[]]>
	</queryString>
	<field name="operatingAirlineName" class="java.lang.String">
		<fieldDescription><![CDATA[operatingAirlineName]]></fieldDescription>
	</field>
	<field name="destination" class="java.lang.String">
		<fieldDescription><![CDATA[destination]]></fieldDescription>
	</field>
	<field name="arrivalDateTime" class="java.util.Date">
		<fieldDescription><![CDATA[arrivalDateTime]]></fieldDescription>
	</field>
	<field name="displaySegNum" class="java.lang.String">
		<fieldDescription><![CDATA[displaySegNum]]></fieldDescription>
	</field>
	<field name="operatingAirline" class="java.lang.String">
		<fieldDescription><![CDATA[operatingAirline]]></fieldDescription>
	</field>
	<field name="flightNumber" class="java.lang.String">
		<fieldDescription><![CDATA[flightNumber]]></fieldDescription>
	</field>
	<field name="airline" class="java.lang.String">
		<fieldDescription><![CDATA[airline]]></fieldDescription>
	</field>
	<field name="fareBasises" class="com.convergent.ibp.model.common.Flight.FareBasis">
		<fieldDescription><![CDATA[fareBasises]]></fieldDescription>
	</field>
	<field name="changeOfPlanes" class="java.lang.Boolean">
		<fieldDescription><![CDATA[changeOfPlanes]]></fieldDescription>
	</field>
	<field name="ticketLessInd" class="java.lang.Boolean">
		<fieldDescription><![CDATA[ticketLessInd]]></fieldDescription>
	</field>
	<field name="flightStartDate" class="java.lang.String">
		<fieldDescription><![CDATA[flightStartDate]]></fieldDescription>
	</field>
	<field name="mealPreference" class="java.lang.String">
		<fieldDescription><![CDATA[mealPreference]]></fieldDescription>
	</field>
	<field name="logicalFlightId" class="java.lang.String">
		<fieldDescription><![CDATA[logicalFlightId]]></fieldDescription>
	</field>
	<field name="segNum" class="java.lang.String">
		<fieldDescription><![CDATA[segNum]]></fieldDescription>
	</field>
	<field name="rawArrDate" class="java.lang.String">
		<fieldDescription><![CDATA[rawArrDate]]></fieldDescription>
	</field>
	<field name="dispStartTime" class="java.lang.String">
		<fieldDescription><![CDATA[dispStartTime]]></fieldDescription>
	</field>
	<field name="availableSeats4BICList" class="java.util.List">
		<fieldDescription><![CDATA[availableSeats4BICList]]></fieldDescription>
	</field>
	<field name="endTerminal" class="java.lang.String">
		<fieldDescription><![CDATA[endTerminal]]></fieldDescription>
	</field>
	<field name="dispArrTime" class="java.lang.String">
		<fieldDescription><![CDATA[dispArrTime]]></fieldDescription>
	</field>
	<field name="journeyTime" class="java.lang.String">
		<fieldDescription><![CDATA[journeyTime]]></fieldDescription>
	</field>
	<field name="availableSeats4Status" class="java.util.List">
		<fieldDescription><![CDATA[availableSeats4Status]]></fieldDescription>
	</field>
	<field name="intermediateFlightInfos" class="java.util.List">
		<fieldDescription><![CDATA[intermediateFlightInfos]]></fieldDescription>
	</field>
	<field name="dispTransitduration" class="java.lang.String">
		<fieldDescription><![CDATA[dispTransitduration]]></fieldDescription>
	</field>
	<field name="dispEndDt" class="java.lang.String">
		<fieldDescription><![CDATA[dispEndDt]]></fieldDescription>
	</field>
	<field name="mealStatus" class="java.lang.String">
		<fieldDescription><![CDATA[mealStatus]]></fieldDescription>
	</field>
	<field name="uapiAirSegment" class="com.convergent.ibp.model.uapi.TypeBaseAirSegment">
		<fieldDescription><![CDATA[uapiAirSegment]]></fieldDescription>
	</field>
	<field name="notValidBefore" class="java.lang.String">
		<fieldDescription><![CDATA[notValidBefore]]></fieldDescription>
	</field>
	<field name="flightClassCode" class="java.lang.String">
		<fieldDescription><![CDATA[flightClassCode]]></fieldDescription>
	</field>
	<field name="dispStartDt" class="java.lang.String">
		<fieldDescription><![CDATA[dispStartDt]]></fieldDescription>
	</field>
	<field name="eTktEligibility" class="java.lang.String">
		<fieldDescription><![CDATA[eTktEligibility]]></fieldDescription>
	</field>
	<field name="departDateTime" class="java.util.Date">
		<fieldDescription><![CDATA[departDateTime]]></fieldDescription>
	</field>
	<field name="statusCode" class="java.lang.String">
		<fieldDescription><![CDATA[statusCode]]></fieldDescription>
	</field>
	<field name="stopOver" class="java.lang.Boolean">
		<fieldDescription><![CDATA[stopOver]]></fieldDescription>
	</field>
	<field name="airlinePNR" class="java.lang.String">
		<fieldDescription><![CDATA[airlinePNR]]></fieldDescription>
	</field>
	<field name="airlineName" class="java.lang.String">
		<fieldDescription><![CDATA[airlineName]]></fieldDescription>
	</field>
	<field name="arrivalTime" class="java.lang.String">
		<fieldDescription><![CDATA[arrivalTime]]></fieldDescription>
	</field>
	<field name="spareAirline" class="java.lang.String">
		<fieldDescription><![CDATA[spareAirline]]></fieldDescription>
	</field>
	<field name="airEquipType" class="java.lang.String">
		<fieldDescription><![CDATA[airEquipType]]></fieldDescription>
	</field>
	<field name="rph" class="java.lang.String">
		<fieldDescription><![CDATA[rph]]></fieldDescription>
	</field>
	<field name="dispDuration" class="java.lang.String">
		<fieldDescription><![CDATA[dispDuration]]></fieldDescription>
	</field>
	<field name="eTicketDuration" class="java.lang.String">
		<fieldDescription><![CDATA[eTicketDuration]]></fieldDescription>
	</field>
	<field name="startDt" class="java.lang.String">
		<fieldDescription><![CDATA[startDt]]></fieldDescription>
	</field>
	<field name="duration" class="java.lang.Long">
		<fieldDescription><![CDATA[duration]]></fieldDescription>
	</field>
	<field name="endDt" class="java.lang.String">
		<fieldDescription><![CDATA[endDt]]></fieldDescription>
	</field>
	<field name="rawDeptDate" class="java.lang.String">
		<fieldDescription><![CDATA[rawDeptDate]]></fieldDescription>
	</field>
	<field name="distance" class="java.lang.String">
		<fieldDescription><![CDATA[distance]]></fieldDescription>
	</field>
	<field name="equip" class="java.lang.String">
		<fieldDescription><![CDATA[equip]]></fieldDescription>
	</field>
	<field name="operatingFltNum" class="java.lang.String">
		<fieldDescription><![CDATA[operatingFltNum]]></fieldDescription>
	</field>
	<field name="physicalFlightId" class="java.lang.String">
		<fieldDescription><![CDATA[physicalFlightId]]></fieldDescription>
	</field>
	<field name="startTime" class="java.lang.String">
		<fieldDescription><![CDATA[startTime]]></fieldDescription>
	</field>
	<field name="resBookDesigCode" class="java.lang.String">
		<fieldDescription><![CDATA[resBookDesigCode]]></fieldDescription>
	</field>
	<field name="notValidAfter" class="java.lang.String">
		<fieldDescription><![CDATA[notValidAfter]]></fieldDescription>
	</field>
	<field name="bagWeight" class="java.lang.String">
		<fieldDescription><![CDATA[bagWeight]]></fieldDescription>
	</field>
	<field name="origin" class="java.lang.String">
		<fieldDescription><![CDATA[origin]]></fieldDescription>
	</field>
	<field name="bagUnit" class="java.lang.String">
		<fieldDescription><![CDATA[bagUnit]]></fieldDescription>
	</field>
	<field name="fareBasis" class="java.lang.String">
		<fieldDescription><![CDATA[fareBasis]]></fieldDescription>
	</field>
	<field name="connectionTime" class="java.lang.String">
		<fieldDescription><![CDATA[connectionTime]]></fieldDescription>
	</field>
	<field name="uapiSegmentKey" class="java.lang.String">
		<fieldDescription><![CDATA[uapiSegmentKey]]></fieldDescription>
	</field>
	<field name="startTerminal" class="java.lang.String">
		<fieldDescription><![CDATA[startTerminal]]></fieldDescription>
	</field>
	<background>
		<band splitType="Stretch"/>
	</background>
	<detail>
		<band height="100" splitType="Stretch">
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement x="29" y="3" width="61" height="20" uuid="ae2a8a7c-f9ff-4e43-9e7b-2f17cc3aa79f"/>
				<textFieldExpression><![CDATA[$F{airlineName}]]></textFieldExpression>
			</textField>
			<image>
				<reportElement x="0" y="7" width="29" height="36" uuid="2f8d332c-ed9b-4273-9509-4040fc69252d"/>
				<imageExpression><![CDATA[$P{AIRLINE_IMG_PATH} + $F{airline} + ".png"]]></imageExpression>
			</image>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement x="90" y="3" width="75" height="21" uuid="28965c81-1b96-4d38-8f11-01b7a95fdace"/>
				<textFieldExpression><![CDATA[$F{origin}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement x="202" y="3" width="77" height="21" uuid="480992cb-90cd-46dd-a8b9-2a05558a0a26"/>
				<textFieldExpression><![CDATA[$F{destination}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement x="312" y="4" width="43" height="20" uuid="4ff40050-c78f-4296-b59a-f4d3d66fc98d"/>
				<textFieldExpression><![CDATA[$F{airEquipType}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="407" y="3" width="45" height="20" uuid="b6d5fa12-c51f-4828-9d13-be6cf12fb38e"/>
				<textFieldExpression><![CDATA[$F{airlinePNR}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="462" y="3" width="14" height="20" uuid="5168e6d6-554e-4747-a1be-d3694654e61c"/>
				<textFieldExpression><![CDATA[$F{bagWeight}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="476" y="3" width="13" height="20" uuid="244488b7-1919-429f-a8e1-c351b86b2b69"/>
				<textFieldExpression><![CDATA[$F{bagUnit}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="544" y="4" width="11" height="20" uuid="e169b81d-4850-414c-86b8-75e8ccd42319"/>
				<textElement verticalAlignment="Top"/>
				<textFieldExpression><![CDATA[$F{flightClassCode}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="506" y="23" width="49" height="20" uuid="74bf652b-444e-4242-a661-bdae4324de03"/>
				<textFieldExpression><![CDATA[$F{statusCode}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="534" y="4" width="10" height="20" uuid="02cc2b0b-df2c-4991-863b-9ed854f58dfe"/>
				<textElement textAlignment="Right" verticalAlignment="Top"/>
				<text><![CDATA[-]]></text>
			</staticText>
			<textField isBlankWhenNull="true">
				<reportElement x="101" y="29" width="89" height="20" uuid="cc04d4a2-b34c-428f-898c-37387d1c6141"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{dispStartDt}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="165" y="4" width="37" height="20" uuid="eb64ca0e-52d9-4686-b982-0c916935d449"/>
				<textElement>
					<font size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{dispStartTime}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="139" y="55" width="50" height="20" uuid="e60b8c13-2342-43ea-a038-5d7fb44fb5c4"/>
				<textElement textAlignment="Right">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{startTerminal}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="202" y="29" width="77" height="20" uuid="776ce4db-304e-414d-b758-747ce4693a63"/>
				<textElement verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{dispEndDt}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="202" y="54" width="48" height="20" uuid="325c2b40-b93f-43f9-a7e2-b7c2e9d41338"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{endTerminal}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="279" y="4" width="33" height="20" uuid="1c9e117d-fb86-42a1-8f15-7faa83f8d154"/>
				<textElement>
					<font size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{dispArrTime}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="59" y="23" width="31" height="20" uuid="787ee8a5-f62a-48b8-b86c-5e8c6d0b0058"/>
				<textElement verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{flightNumber}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="29" y="23" width="18" height="20" uuid="896a4a97-20e4-4619-9a5f-297da7ad3336"/>
				<textElement verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{airline}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="355" y="4" width="42" height="20" uuid="b53facf9-1715-43eb-b94d-c19c6bb0ab93"/>
				<textFieldExpression><![CDATA[$F{dispDuration}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="47" y="23" width="12" height="20" uuid="295e0769-a027-496b-ad68-beeeee936735"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[-]]></text>
			</staticText>
			<textField>
				<reportElement x="489" y="3" width="45" height="20" uuid="76b7fa30-8061-450f-9fe5-e32c5bb92334"/>
				<textElement textAlignment="Center"/>
				<textFieldExpression><![CDATA[$P{CLASS_TYPE}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
</jasperReport>
